[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceCollection.GetItem

Read an item from the stream.

## Declaration

Source position: objects.pp line 489

`function TResourceCollection.GetItem(`
`var S: TStream`
`):Pointer; virtual;`

## Description

GetItem reads a resource item from the stream S. It reads the position, size and name from the stream, in that order. It DOES NOT read the resource itself from the stream.

The resulting item is not inserted in the collection. This call is manly for internal use by the TCollection.Load method.

## Errors

Errors returned are those by TStream.Read

## See also

TCollection.Load |  | Initialize a new collection and load collection from a stream.
TStream.Read |  | Read data from stream to buffer.

Documentation generated on: Feb 26 2014